/// <reference types="node" />
export declare class TxRejectedError extends Error {
    fullReason: string;
    shortReason: string;
    rellLine: string;
    operation: string;
    constructor(rejectReason: string);
}
export declare class UnexpectedStatusError extends Error {
    constructor(status: number, error?: any);
}
export declare class LostMessageError extends Error {
    constructor();
}
export declare class UnexpectedResponseError extends Error {
    constructor();
}
export declare class InvalidTxRidException extends Error {
    constructor(txRID: Buffer);
}
export declare class SerializedTransactionFormatException extends Error {
    constructor();
}
export declare class GetBridFromChainException extends Error {
    constructor(chainId: number, reason: string);
}
export declare class EmptyListOfUrlsException extends Error {
    constructor();
}
export declare class InvalidBlockchainRIDException extends Error {
    constructor();
}
