import { FailOverConfig } from "./types";
import { RestClient } from "./interfaces";
import { RawGtv } from "../gtv/types";
export declare function createRestClient(endpointPool: readonly string[], blockchainRid: string, maxSockets?: number, pollingInterval?: number, failOverConfig?: FailOverConfig, unreachableDuration?: number): RestClient;
/**
 * @param error response error
 * @param statusCode response status code
 * @param responseObject the responsebody from the server
 * @param callback the callback function to propagate the error and response back to the caller
 */
export declare function handleGetResponse(error: Error, statusCode: number, responseObject: RawGtv, callback: (error: Error, responseObject: RawGtv) => void): void;
/**
 * @param error response error
 * @param statusCode response status code
 * @param responseObject the responsebody from the server
 * @param callback the callback function to propagate the error and response back to the caller
 */
export declare function handlePostResponse(error: Error, statusCode: number, responseObject: RawGtv, callback: (error: Error, responseObject?: RawGtv) => void): void;
